Bug 434701 - libsemanage.dbase_llist_query: could not query record value
libsemanage.dbase_llist_query: could not query record value
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2008-02-24 12:35 EST by Joe Nall
Modified: 2008-03-17 15:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-17 15:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
install.log (33.96 KB, text/plain)
2008-02-26 14:20 EST, Joe Nall
no flags Details

  None (edit)
Description Joe Nall 2008-02-24 12:35:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20080208 Fedora/ Firefox/

Description of problem:
Looks like bug 431258

Installing selinux-policy-targeted vi network kickstart, I find the following errors in /root/install.log

libsemanage.dbase_llist_query: could not query record value
libsemanage.dbase_llist_query: could not query record value (No such file or directory).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Initial install from network kickstart.

Actual Results:
Above errors in /root/install.log

Expected Results:
No errors :)

Additional info:
Comment 1 Daniel Walsh 2008-02-26 09:52:56 EST

Was libsemanage installed before selinux policy?  I wonder what file it is
complaining about.  Does the system seem to run correctly even with this error?
Comment 2 Joe Nall 2008-02-26 14:20:03 EST
Created attachment 295982 [details]

This is an install.log with the error.
Comment 3 Joe Nall 2008-02-26 14:22:21 EST
libsemanage was installed before selinux policy. The system seems to work ok in
Comment 4 Joe Nall 2008-02-26 14:30:01 EST
I tried to find something in audit or syslog to identify the file, but nothing
stood out as this issue. 
Comment 5 Daniel Walsh 2008-02-26 15:21:49 EST
Steve do you think this error is happening because of a lack of policy?
Comment 6 Stephen Smalley 2008-02-27 13:29:40 EST
Do you have all of the expected files under /etc/selinux/targeted/modules/active?
In particular, seusers and users_extra?
Might be a bootstrapping issue where the selinux-policy-targeted %post scriptlet
is running semanage commands w/o having all the necessary files in place yet?
Comment 7 Daniel Walsh 2008-03-17 15:33:04 EDT
Fixed in selinux-policy-3.3.20.fc9

Note You need to log in before you can comment on or make changes to this bug.